Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Interface TcpConnectionHandler

All Known Implementing Classes:
  Ajp12Interceptor, Ajp13Interceptor, Http10Interceptor

public interface TcpConnectionHandler

This interface will be implemented by any object that uses TcpConnections. It is supported by the pool tcp connection manager and should be supported by future managers. The goal is to decouple the connection handler from the thread, socket and pooling complexity.

Method Summary
`java.lang.Object[]` | `init()` Called before the call to processConnection.
`void` | `processConnection(TcpConnection connection, java.lang.Object[] thData)` Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Used to pass config informations to the handler
`void` | `setServer(java.lang.Object manager)` Deprecated. This has nothing to do with TcpHandling, was used as a workaround

Method Detail

### setServer

    public void setServer(java.lang.Object manager)

  Deprecated. This has nothing to do with TcpHandling, was used as a workaround

  Add informations about the a "controler" object specific to the server. In tomcat it will be a ContextManager.

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Used to pass config informations to the handler

### init

    public java.lang.Object[] init()

  Called before the call to processConnection. If the thread is reused, init() should be called once per thread. It may look strange, but it's a _very_ good way to avoid synchronized methods and keep per thread data. Assert: the object returned from init() will be passed to all processConnection() methods happening in the same thread.

### processConnection

    public void processConnection(TcpConnection connection,
                                  java.lang.Object[] thData)

  Assert: connection!=null Assert: connection.getSocket() != null Assert: thData != null and is the result of calling init() Assert: thData is preserved per Thread.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Apache Software Foundation. All Rights Reserved.